List webhook subscriptions
GET
/webhooks
const url = 'https://app.whatsetter.com/api/v1/webhooks';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.whatsetter.com/api/v1/webhooks \ --header 'Authorization: Bearer <token>'Requires scope webhooks:manage. The signing secret is never returned (only its prefix).
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The workspace’s subscriptions
Media typeapplication/json
object
data
Array<object>
object
id
string
url
string
events
Array<string>
active
boolean
description
string | null
secret_prefix
string | null
last_delivery_at
string | null format: date-time
last_delivery_status
integer | null
created_at
string format: date-time
Examplegenerated
{ "data": [ { "id": "example", "url": "example", "events": [ "example" ], "active": true, "description": "example", "secret_prefix": "example", "last_delivery_at": "2026-04-15T12:00:00Z", "last_delivery_status": 1, "created_at": "2026-04-15T12:00:00Z" } ]}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}
